Package de.tudresden.sumo.objects

## Class SumoVehicleData

- java.lang.Object
- - de.tudresden.sumo.objects.SumoVehicleData

- All Implemented Interfaces:
    `SumoObject`
  Direct Known Subclasses:
    `SumoVehicleData`

      public class SumoVehicleData
      extends Object
      implements SumoObject

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `SumoVehicleData.VehicleData` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `LinkedList<SumoVehicleData.VehicleData>` | `ll` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SumoVehicleData()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `add​(String vehID, double length, double entry_time, double leave_time, String typeID)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ll

          public LinkedList<SumoVehicleData.VehicleData> ll

  - ### Constructor Detail

    - #### SumoVehicleData

          public SumoVehicleData()

  - ### Method Detail

    - #### add

          public void add​(String vehID,
                          double length,
                          double entry_time,
                          double leave_time,
                          String typeID)